# Contributing to Delicate-web

:balloon: Thanks for your help improving the project! We are so happy to have
you!

There are opportunities to contribute to delicate at any level. It doesn't matter if
you are just getting started with Rust or are the most weathered expert, we can
use your help.

We want to make contributing to this project as easy and transparent as
possible.

## Code of Conduct

The code of conduct is described in [`CODE_OF_CONDUCT.md`](../CODE_OF_CONDUCT.md)

## Get involved

There are many ways to contribute to this project, and many of them do not involve writing any code. Here's a few ideas to get started:

* Join the [discussion]: https://github.com/BinChengZhao/delicate/discussions/new
 as we complete delicate's roadmap together.
* Look through the [open issues](https://github.com/BinChengZhao/delicate/issues). Provide workarounds, ask for clarification, or suggest labels.
* If you find an issue you would like to fix, add a comment stating your intent to tackle it. Then open a pull request with your changes. Issues tagged as [_good first issue_](https://github.com/BinChengZhao/delicate/labels/good%20first%20issue) are a good place to get started.

## Pull Request Workflow

_Before_ submitting a pull request, please make sure the following is done…

1. Fork the repo and create your branch from `master`. A guide on how to fork a repository: https://help.github.com/articles/fork-a-repo/

   Open terminal (e.g. Terminal, iTerm, Git Bash or Git Shell) and type:

   ```sh
   git clone https://github.com/<your_username>/delicate
   cd delicate
   git checkout -b my_branch
   ```

   Note: Replace `<your_username>` with your GitHub username

2. Follow the [setup instructions](https://github.com/BinChengZhao/delicate/blob/main/delicate-web/README.md) to run the app and test your changes.

3. When submitting PR, ensure all tests pass on CI. Pull requests that break tests are unlikely to be merged. If a test fails and you believe it is unrelated to your change, leave a comment on the pull request explaining why.

## Issues
We use GitHub issues to track public bugs. Please ensure your description is
clear and has sufficient instructions to be able to reproduce the issue.

## Code Conventions

* ES6 syntax when possible.
